diff --git a/doc/src/sgml/ref/alter_table.sgml b/doc/src/sgml/ref/alter_table.sgml
index 4847d66..de63e9e 100644
--- a/doc/src/sgml/ref/alter_table.sgml
+++ b/doc/src/sgml/ref/alter_table.sgml
@@ -853,7 +853,9 @@ ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
    <para>
     When a column is added with <literal>ADD COLUMN</literal>, all existing
     rows in the table are initialized with the column's default value
-    (NULL if no <literal>DEFAULT</> clause is specified).
+    (NULL if no <literal>DEFAULT</> clause is specified). Users are advised
+    not to use explicit <literal>DEFAULT</> clause unless there is a non-null
+    default value to specify.
    </para>
 
    <para>
